Module javafx.graphics
Package javafx.css.converter

## Class PaintConverter.RadialGradientConverter

- java.lang.Object
- - javafx.css.StyleConverter<ParsedValue[],​Paint>
  - - javafx.css.converter.PaintConverter.RadialGradientConverter

- Enclosing class:
    PaintConverter

      public static final class PaintConverter.RadialGradientConverter
      extends StyleConverter<ParsedValue[],​Paint>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javafx.css.StyleConverter

      `StyleConverter.StringStore`

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Paint` | `convert​(ParsedValue<ParsedValue[],​Paint> value, Font font)` | Convert from the parsed CSS value to the target property type.
    `static PaintConverter.RadialGradientConverter` | `getInstance()` |
    `String` | `toString()` |

    - ### Methods inherited from class javafx.css.StyleConverter

      `cacheValue, clearCache, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PaintConverter.RadialGradientConverter getInstance()

    - #### convert

          public Paint convert​(ParsedValue<ParsedValue[],​Paint> value,
                               Font font)

      Description copied from class: `StyleConverter`
      Convert from the parsed CSS value to the target property type.
      Overrides:
        `convert` in class `StyleConverter<ParsedValue[],​Paint>`
      Parameters:
        `value` - The `ParsedValue` to convert
        `font` - The `Font` to use when converting a relative value.
      Returns:
        the converted target property type

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`